Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040972
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminoralways2019-05-29 15:242019-09-17 23:16
ReporteranderarangurenView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision33b3df635fd8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040972: When clicking 'Manage Variant' to create a variant of a product, the new product date is the same as the generic.

DescriptionWhen clicking 'Manage Variant' to create a variant of a product, the new product date is the same as the generic.
Steps To Reproduce1. "Product Characteristic" window:
   1.1 Define a new characteristic with, some values
2. Create a new product:
   2.1 Is generic = yes
   2.2 Creation date 29-05-2019 12:38:14
3. Click on "Manage Variant" and create a variant
   3.1 Creation date is the same as the generic product 29-05-2019 12:38:14
Proposed SolutionAdded a proposed solution
TagsNo tags attached.
Attached Filesdiff file icon manageVariantsCreationDate.diff [^] (661 bytes) 2019-05-29 15:24 [Show Content]
png file icon Openbravo - Product - test characteristic - Google Chrome_007.png [^] (120,708 bytes) 2019-05-29 15:35

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114001)
collazoandy4 (developer)
2019-08-14 07:17

Test Plan
  Go to Product Characteristic window and create a new record
    Create one record in Value tab
  Go to Product and create a new generic Product
    Add in Characteristic tab the previous one created
    Create the product variant and check the variant and generic the created date are different
(0114597)
hgbot (developer)
2019-09-17 17:55

Repository: erp/devel/pi
Changeset: 33b3df635fd8f21a217653c8b9306de74cf0e4cd
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Aug 13 16:42:49 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/33b3df635fd8f21a217653c8b9306de74cf0e4cd [^]

Fixes issue 40972:When clicking 'Manage Variant' to create a variant of a
product, the new product date is the same as the generic.

The current Date is set to the product variant

---
M src/org/openbravo/materialmgmt/actionhandler/ManageVariants.java
---
(0114598)
Sandrahuguet (developer)
2019-09-17 17:55

code review + testing ok
(0114605)
hudsonbot (developer)
2019-09-17 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/78387d25488f [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-29 15:24 anderaranguren New Issue
2019-05-29 15:24 anderaranguren Assigned To => Triage Finance
2019-05-29 15:24 anderaranguren File Added: manageVariantsCreationDate.diff
2019-05-29 15:24 anderaranguren Modules => Core
2019-05-29 15:24 anderaranguren Triggers an Emergency Pack => No
2019-05-29 15:33 Practics Issue Monitored: Practics
2019-05-29 15:35 anderaranguren File Added: Openbravo - Product - test characteristic - Google Chrome_007.png
2019-08-13 00:00 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-08-13 00:00 collazoandy4 Status new => scheduled
2019-08-14 07:17 collazoandy4 Note Added: 0114001
2019-09-17 17:55 hgbot Checkin
2019-09-17 17:55 hgbot Note Added: 0114597
2019-09-17 17:55 hgbot Status scheduled => resolved
2019-09-17 17:55 hgbot Resolution open => fixed
2019-09-17 17:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/33b3df635fd8f21a217653c8b9306de74cf0e4cd [^]
2019-09-17 17:55 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-17 17:55 Sandrahuguet Note Added: 0114598
2019-09-17 17:55 Sandrahuguet Status resolved => closed
2019-09-17 17:55 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-09-17 23:16 hudsonbot Checkin
2019-09-17 23:16 hudsonbot Note Added: 0114605


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker